Support » Plugin: Oasis Workflow » Errors after update to 5.4

  • Resolved tjerk79

    (@tjerk79)


    When I update the free plugin to 5.4 from 5.3 I get the following errors on the WP frontend and backend. When I rollback to 5.3 there are no problems.

    Warning: in_array() expects parameter 2 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2445

    Warning: array_push() expects parameter 1 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2446

    Warning: in_array() expects parameter 2 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2448

    Warning: array_push() expects parameter 1 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2449

    Warning: in_array() expects parameter 2 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2445

    Warning: array_push() expects parameter 1 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2446

    Warning: in_array() expects parameter 2 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2448

    Warning: array_push() expects parameter 1 to be array, null given in ///wp-content/plugins/oasis-workflow/oasiswf.php on line 2449

    • This topic was modified 1 year, 8 months ago by tjerk79.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author nuggetsol

    (@nuggetsol)

    Thanks @tjerk79 for reporting the issue.

    We have heard the same from a few other users as well. We are looking into it and will have a fix ready in a day or two.

    Can you tell us the post types that are checked/ticked under Workflows-> Settings, Workfow tab – “Show Workflow options for the following post/page types”?

    Also, can you submit a support ticket via https://www.oasisworkflow.com/submit-a-query, so that we can provide you with modified code files for you to try out the fix?

    Plugin Author nuggetsol

    (@nuggetsol)

    Hi @tjerk79,

    We released a new version that fixes the issue. Let us know if you run into any other issues.

    Thanks.

    Thread Starter tjerk79

    (@tjerk79)

    Thanks for the update. I updated and it did fix the error

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Errors after update to 5.4’ is closed to new replies.